Submit Seedream 5.0 Pro Text to Image Task
curl --request POST \
--url https://api.vidgo.ai/api/generate/submit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "seedream-v5.0-pro",
"callback_url": "https://your-domain.com/callback",
"input": {
"prompt": "A cinematic scene with natural lighting and coherent motion",
"resolution": "1K",
"size": "1:1"
}
}
'import requests
url = "https://api.vidgo.ai/api/generate/submit"
payload = {
"model": "seedream-v5.0-pro",
"callback_url": "https://your-domain.com/callback",
"input": {
"prompt": "A cinematic scene with natural lighting and coherent motion",
"resolution": "1K",
"size": "1:1"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'seedream-v5.0-pro',
callback_url: 'https://your-domain.com/callback',
input: {
prompt: 'A cinematic scene with natural lighting and coherent motion',
resolution: '1K',
size: '1:1'
}
})
};
fetch('https://api.vidgo.ai/api/generate/submit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"data": {
"task_id": "<string>",
"created_time": "2023-11-07T05:31:56Z"
}
}Seedream
Seedream 5.0 Pro Text to Image
Flagship Seedream text-to-image model with precise prompt following, layout control, and multilingual typography
POST
/
api
/
generate
/
submit
Submit Seedream 5.0 Pro Text to Image Task
- Submit the request with
VIDGO_API_KEY. After submission, atask_idis returned. Ifcallback_urlis provided, Vidgo sends the result after the task finishes or fails. - You can always retrieve the result through the unified Query Task Status endpoint.
Seedream 5.0 Pro Text to Image
Seedream 5.0 Pro is designed for complex prompts, structured layouts, multilingual typography, and product visuals.Available Models
- seedream-v5.0-pro - Flagship text-to-image generation
Size Parameter
input.size controls the output aspect ratio and defaults to 1:1:
- Ratio presets:
1:1,4:3,3:4,16:9,9:16,2:3,3:2,21:9
Resolution Parameter
input.resolution controls output resolution and defaults to 1K:
- Resolution presets:
1K,2K
Pricing
Each request generates one image and uses the current Seedream 5.0 Pro model price.How to Call
Use the unified submit endpoint:POST /api/generate/submit
{
"model": "seedream-v5.0-pro",
"callback_url": "https://your-domain.com/callback",
"input": {
"prompt": "A cinematic scene with natural lighting and coherent motion",
"resolution": "1K",
"size": "1:1"
}
}
Authorizations
Use Authorization: Bearer VIDGO_API_KEY.
Body
application/json
⌘I